package model

const (
	RepeatedPrompts    = "编码不能重复，请重新填写！"
	GatewayHasRelation = "该网关存在关联设备，请先移除设备！"
	RepeatedName       = "列表中存在重名,请更改灯杆分组名称！"
	ZigbeeSelect       = "集中器(ZigBee)选取异常！"
	ControlNONull      = "编号不能为空！！"
	ControlNOInvalid   = "编号不符合规则，最小值为1-1，最大值为255-255！"

	EnableInvalid = "启用禁用参数错误"
	ParamsInvalid = "非法参数！"
	TypeInvalid   = "非法类型！"
)

const (
	ControlType_Default  = iota // 灯控
	ControlType_NBIoT           //NB-IoT
	ControlType_485             //485灯控
	ControlType_ZigBee          //ZigBee
	ControlType_ZigBeeHL        //ZigBeeHL
)

const (
	Enable_Enable  = 1 // 启用
	Enable_Disable = 2 //停用
)

const (
	CameraTypeBall     = 1 //球机
	CameraTypeGun      = 2 //枪机
	CameraTypeBallName = "球机"
	CameraTypeGunName  = "枪机"
)

const (
	TypeCapture = "capture"
	TypePoint   = "point"
)

//redis
const (
	AlarmList           = "AlarmList_GetList_%s"
	LampPoleGroupList   = "LampPoleGroupList_GetList_%s"
	GroupFiltrationList = "GroupFiltrationList_GetList_%s"
	GarbageList         = "GarbageList_GetList_%s"
	GarbageWayGroupList = "GarbageWayGroupList_GetList_%s"
	OnDemandGroupList   = "OnDemandGroupList_GetList_%s"
	SwitchBoxList       = "switchBoxList_GetList_%s"
	TransformerList     = "TransformerList_GetList_%s"
	WisdomGatewayList   = "WisdomGatewayList_GetList_%s"
)

//Operation type 操作类型
const (
	OperationDefault          = iota
	OperationLogin            //登录
	OperationLogout           //注销
	OperationCreate           //新增
	OperationUpdate           //修改
	OperationRemove           //删除
	OperationImport           //导入导出
	OperationLightStrategy    //开关灯控策略
	OperationOrderCreate      //工单发起
	OperationOrderChange      //工单转派
	OperationOrderHandle      //工单处理
	OperationProgramPublish   //节目发布待审核
	OperationProgramResult    //节目处理结果
	OperationStrategyRelation //策略关联
	OperationControl          //操作
	OperationAlarmHandle      //告警处理
	OperationOrderFinish      //工单签收(接单)
)

const (
	ModuleTypeDefault        = iota //操作记录模块
	ModuleTypeDevice                //设备台账管理
	ModuleTypeInfoBar               //信息发布系统
	ModuleTypeOrder                 //工单运维
	ModuleTypeNotification          //通知公告
	ModuleTypeLightStrategy         //照明策略
	ModuleTypeLighting              //智慧照明系统-智能照明
	ModuleTypeSystem                //系统管理
	ModuleTypeAlarm                 //告警管理
	ModuleTypeOperation             //运营分析
	ModuleTypeRecord                //记录处理
	ModuleTypeWisdomLighting        //智能感应照明系统-灯随车走照明控制
)

type AlarmTerminal struct {
}
type CaptureUnit struct {
}
type Gateway struct {
}
type IpBroadcast struct {
}
type LightControl struct {
}
type Sensor struct {
}
type Zigbee struct {
}
type OptoSensor struct {
}
type Camera struct {
}
type SwitchBox struct {
}
type InfoBoard struct {
}
